<?php

namespace dominion\file\schema;

use GraphQL\Type\Definition\ObjectType;
use GraphQL\Type\Definition\Type;

class FileConfigResizeStepType extends ObjectType
{
    public function __construct()
    {
        $config = [
            'fields' => function() {
                return [
                    'fileId' => [
                        'type' => Type::int(),
                        'description' => 'последний обработтанный файл',
                    ],
                    'count' => [
                        'type' => Type::int(),
                    ],
                    'step' => [
                        'type' => Type::string(),
                        'description' => 'type',
                    ],
                ];
            }
        ];

        parent::__construct($config);
    }

}