<?php

namespace dominion\file\schema;

trait FileTypes
{
    private static $fileConfig;
    private static $fileConfigPagination;
    private static $fileConfigResizeStep;
    private static $file;
    //
    private static $fileConfigMutation;

    public static function fileConfig()
    {
        return self::$fileConfig ?: (self::$fileConfig = new FileConfigType());
    }
    public static function fileConfigPagination()
    {
        return self::$fileConfigPagination ?: (self::$fileConfigPagination = new FileConfigPaginationType());
    }
    public static function fileConfigResizeStep()
    {
        return self::$fileConfigResizeStep ?: (self::$fileConfigResizeStep = new FileConfigResizeStepType());
    }
    public static function file()
    {
        return self::$file ?: (self::$file = new FileType());
    }

    //
    public static function fileConfigMutation()
    {
        return self::$fileConfigMutation ?: (self::$fileConfigMutation = new FileConfigMutationType());
    }
}
